using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] unos = Console.ReadLine().Split();
            int[] A = new int[Convert.ToInt32(unos[0])];
            int[] B = new int[Convert.ToInt32(unos[1])];

            string[] reda = Console.ReadLine().Split();
            for (int i = 0; i < reda.Length; i++)
            {
                A[i] = Convert.ToInt32(reda[i]);
            }
            Array.Sort(A);

            string[] redb = Console.ReadLine().Split();
            for (int i = 0; i < redb.Length; i++)
            {
                B[i] = Convert.ToInt32(redb[i]);
            }


            int brojlevo = 0;
            int brojdesno = 0;
            for (int i = 0; i < B.Length; i++)
            {
                for (int j = 0; j < A.Length; j++)
                {
                    if (B[i] > A[j]) brojlevo++;
                    else if (B[i] < A[j]) brojdesno++;
                }
                int broj = Math.Abs(brojlevo - brojdesno);
                if((A.Length + broj) % 2 == 1 && broj != 0)
                {
                    broj--;
                }

                Console.WriteLine(broj);
                brojlevo = 0;
                brojdesno = 0;
            }

            Console.Read();
        }
    }
}